﻿using Syncfusion.GroupingGridExcelConverter;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ExportToExcel
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            //Set the DataSource for GridGroupingControl
            this.gridGroupingControl1.DataSource = GetTheGridTable();

            //Set the CellValueType for particular column which is want to be exported as Numeric
           // this.gridGroupingControl1.TableDescriptor.Columns["Rate"].Appearance.AnyRecordFieldCell.CellValueType = typeof(double);
            this.gridGroupingControl1.Appearance.AnyRecordFieldCell.Format = "#0.00";

        }

        private DataTable GetTheGridTable()
        {
            string[] fruits = { "apple", "banana", "pineapple", "orange", "papaya" };
            DataTable dt = new DataTable("Orders");

            int nCols = 2;
            int nRows = 5;
            dt.Columns.Add("Rate", typeof(double));
            dt.Columns.Add("AssessableValue", typeof(double));

            Random r = new Random();
            for (int i = 0; i < nRows; i++)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                {
                    dr[j] = 2.00;
                }
                dt.Rows.Add(dr);
            }
            return dt;
        }

        private void button1_Click(object sender, EventArgs e)
        {
           // Syncfusion.GridExcelConverter.GridExcelConverterControl gecc = new Syncfusion.GridExcelConverter.GridExcelConverterControl();

            GroupingGridExcelConverterControl converter = new GroupingGridExcelConverterControl();

            SaveFileDialog saveFileDialog = new SaveFileDialog();
            saveFileDialog.Filter = "Files(*.xls)|*.xls";
            saveFileDialog.DefaultExt = ".xls";
            if (saveFileDialog.ShowDialog() == DialogResult.OK)
            {
                //Export Grid by using GridToExcel method.
                //gecc.GridToExcel(this.gridGroupingControl1.Table.TableModel, saveFileDialog.FileName,
                //         Syncfusion.GridExcelConverter.ConverterOptions.Default);
                converter.GroupingGridToExcel(this.gridGroupingControl1, saveFileDialog.FileName, Syncfusion.GridExcelConverter.ConverterOptions.Default);
                if (MessageBox.Show("Do you wish to open the xls file now?", "Export to Excel", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                {
                    Process proc = new Process();
                    proc.StartInfo.FileName = saveFileDialog.FileName;
                    proc.Start();
                }
            }
        
        }
    }
}
